org.apache.http.client.entity

## Interface InputStreamFactory

- All Known Implementing Classes:
    DeflateInputStreamFactory, GZIPInputStreamFactory

      public interface InputStreamFactory

  Factory for decorated `InputStream`s.
  Since:
    4.4

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `InputStream` | `create(InputStream inStream)`

- - ### Method Detail

    - #### create

          InputStream create(InputStream inStream)
                             throws IOException

      Throws:
        `IOException`

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.